
QGIS Application - Bug report #21920

Points Geometry Become Cluster

2019-04-24 02:22 PM - Furqan Saeed

Status: Feedback

Priority: High

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:3.4.5 Regression?: No

Operating System: Windows 7 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29735

Description

I am connected to same sql db both in QGIS 2.18.3 and QGIS 3.4.5. As seen in the photo below, points geometries in QGIS 2.18.3 are

absolutely correct but in QGIS 3.4.5, same points become cluster.

Also "geog" column in QGIS 2.18.3 attribute table is hidden by default, I don't even find it in layer properties. However in QGIS 3.4.5, there

is "geog" column in attribute table which shows special character in it.

Another issue is when I add new point feature in QGIS 3.4.5 it only saves attribute not geometry.

History

#1 - 2019-04-24 02:25 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from Yes to No

Is the database Oracle?

#2 - 2019-04-26 09:06 AM - Furqan Saeed

No, MS SQL Server database.

#3 - 2019-04-26 09:09 AM - Jürgen Fischer

- Status changed from Feedback to Open

#4 - 2019-04-30 06:29 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Geometry to Data Provider/MSSQL

Does it happen if you use another backend (i.e. PostGIS)?

Files

QGIS 2.18.3_Identify.jpg 288 KB 2019-04-24 Furqan Saeed

QGIS 2.18.3.jpg 500 KB 2019-04-24 Furqan Saeed

QGIS 3.4.5_Identify.jpg 308 KB 2019-04-24 Furqan Saeed

2024-03-13 1/2



QGIS 3.4.5-Madeira.jpg 442 KB 2019-04-24 Furqan Saeed

2024-03-13 2/2


